%define anolis_release 1
%define debug_package %{nil}
%global kernel_version %(rpm -qa kernel-devel | sed -e 's/kernel-devel-//g')

Name:       kmod-udma
Version:    0.1.0
Release:    %{anolis_release}%{?dist}
Summary:    Driver for UDMA
License:    GPLv2
URL:        https://gitee.com/src-anolis-sig/%{name}

Source0:    https://gitee.com/src-anolis-sig/kmod-udma/tree/a23/%{name}-%{version}.tar.gz

BuildRequires: gcc gcc-c++ make
BuildRequires: kernel-devel
ExclusiveArch: x86_64

%description
kmod-udma is responsible for pin DMA memory for userspace.
It is the kernel driver for UDMA.

%prep
%autosetup -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/modules/%{kernel_version}/kernel

/usr/bin/install -D -m 750 %{_builddir}/%{name}-%{version}/x86_64/lib/modules/%{kernel_version}/kernel/udma_drv.ko %{buildroot}/lib/modules/%{kernel_version}/kernel/

%post
ECHO=/usr/bin/echo
${ECHO} "Creating module.dep file for UDMA"
depmod -a

%postun
depmod -a

%files
/lib/modules/%{kernel_version}/kernel/udma_drv.ko

%changelog
* Mon Aug 21 2023 Xuchun Shang <xuchun.shang@linux.alibaba.com> - 0.1.0-1
- Init package
